<div class="loading" *ngIf="status_loading">Loading&#8230;</div>
<div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">แนวคิดผลิตภัณฑ์ {{ template_manage.caaStatus }}</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับแนวคิดและผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="(stepOne['validate'] === null || stepOne['validate'] === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 8px;"
  *ngIf="(stepOne['validate'] === null || stepOne['validate'] === true) && template_manage.pageShow !== 'executive'">
  <!-- ----------------------------------------- วัตถุประสงค์ของผลิตภัณฑ์ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">วัตถุประสงค์ของผลิตภัณฑ์</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">
        <div class="input-textarea">
          <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable
            [innerHTML]="this.textareaForm.get('objectiveText').value"
            style="min-height: 120px; max-width: auto; padding-top: 7px;" id="objectiveText"
            (ngModelChange)="changeSaveDraft($event)"></div> -->
          <textarea
            style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
            (keyup)="autogrow(1)" rows="5" (click)="autogrow(1)" type="text" id="objectiveText"
            [(ngModel)]="stepOne.objectiveText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
            name="objectiveText" required></textarea>
        </div>

        <!-- ===================================================== -->
        <div style="position: relative;">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(1, i)" />
                <div class="unnon_image">
                  <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png" style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>
        </div>
        <!-- =================================================== -->
      </div>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- Business Model -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">Business Model</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">
        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable
          [innerHTML]="this.textareaForm.get('businessModelText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="businessModelText"
          (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(2)" rows="5" (click)="autogrow(2)" type="text" id="businessModelText"
          [(ngModel)]="stepOne.businessModelText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="businessModelText" required></textarea>
        <!-- ===================== -->
        <div style="position: relative;">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(2, i)" />
                <div class="unnon_image">
                  <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(2, $event)" [(ngModel)]="file2_2" accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(2, $event)" [(ngModel)]="file2_1" accept=".jpg,.png" style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>
        </div>
        <!-- ============================ -->

        <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="ระบุรายละเอียด Business Model ของผลิตภัณฑ์" style="height: 261px;"
          [(ngModel)]="stepOne.businessModelText" (ngModelChange)="changeSaveDraft()"></textarea> -->
      </div>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- ลักษณะผลิตภัณฑ์ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ลักษณะผลิตภัณฑ์</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">
        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable
          [innerHTML]="this.textareaForm.get('detailText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="detailText"
          (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(3)" rows="5" (click)="autogrow(3)" type="text" id="detailText"
          [(ngModel)]="stepOne.detailText" (ngModelChange)="changeSaveDraft()" #description="ngModel" name="detailText"
          required></textarea>
        <div class="image_row">
          <div class="row image_col">
            <div class="unnon_image_out" *ngFor="let item of image3; index as i">
              <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i)" />
              <div class="unnon_image" [ngStyle]="{ display: !(image3.length > 0) ? 'none' : '' }">
                <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
              </div>
            </div>

            <div class="non_image">
              <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                (change)="getFileDetails(3, $event)" [(ngModel)]="file3_2" accept=".jpg,.png" />
              <label class="form-control non_image_text" for="fileDropRef"><img
                  src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
            </div>
          </div>
        </div>

        <div class="input_upload">
          <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
            (change)="getFileDetails(3, $event)" [(ngModel)]="file3_1" accept=".jpg,.png" style="width: 526px;" />
          <label class="form-control input_upload_label" for="fileDropRef"><img
              src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
            เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
        </div>

        <!-- <textarea
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="enter"
          placeholder="เพิ่มรายละเอียดลักษณะผลิตภัณฑ์"
          style="height: 261px;"
          [(ngModel)]="stepOne.detailText"
          (ngModelChange)="changeSaveDraft()"
        ></textarea> -->
      </div>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่</p>
    </div>
    <div class="col-12 body-detal-checkbox">
      <mat-radio-group aria-label="Select an option" [(ngModel)]="agreement" (change)="ratioChange()"
        (ngModelChange)="changeSaveDraft()">
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="1">
              <div class="bd-highlight radio-detail" [ngClass]="{
                  'checkbox-detail-true': stepOne.externalCommit.yes === true,
                  'checkbox-detail-false': stepOne.externalCommit.yes !== true
                }">
                ใช่
              </div>
            </mat-radio-button>
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout" style="background-color: #e0e0e0; margin-bottom: 10px;">
          <div class="row body-detal-checkbox" style="width: 100%;">
            <div class="col-md-6" style="padding-right: 8px;">
              <p class="input_select">ธนาคารกรุงไทย</p>
              <!-- <input
              type="text"
               class="form-control input-detail"
              placeholder=""
              [(ngModel)]="stepOne.externalCommit.yesDetail.KTB"
              [disabled]="stepOne.externalCommit.yes !== true"
              (ngModelChange)="changeSaveDraft()"
              /> -->
              <textarea appTextareaAutoresize autocomplete="off" class="form-control input-detail example" placeholder="" style="width: 100%;"
                [(ngModel)]="stepOne.externalCommit.yesDetail.KTB" [disabled]="stepOne.externalCommit.yes !== true"
                (ngModelChange)="changeSaveDraft()">

              </textarea>
            </div>
            <div class="col-md-6" style="padding-left: 8px;">
              <p class="input_select">หน่วยงานภายนอก</p>
              <!-- <input
                type="text"
                class="form-control input-detail"
                placeholder=""
                [(ngModel)]="stepOne.externalCommit.yesDetail.external"
                [disabled]="stepOne.externalCommit.yes !== true"
                (ngModelChange)="changeSaveDraft()"
              /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control input-detail example" style="width: 100%;" placeholder=""
                [(ngModel)]="stepOne.externalCommit.yesDetail.external" [disabled]="stepOne.externalCommit.yes !== true"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </div>
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="2">
              <div class="bd-highlight radio-detail" [ngClass]="{
                  'checkbox-detail-true': stepOne.externalCommit.no === true,
                  'checkbox-detail-false': stepOne.externalCommit !== true
                }">
                ไม่ใช่
              </div>
            </mat-radio-button>
          </div>
        </div>
      </mat-radio-group>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="typeofcollateral">
      <p class="head-detal">อัปโหลดเอกสาร</p>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
          accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.png" />
        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
        <a for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
    </div>
    <br />
    <div class="row">
      <div class="col-12 table_files">
        <table mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element">
              {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
            </td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
              <a class="pipe">|</a>
              <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
    </div>
  </div>
  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <div id="myModal1" class="modal">
    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
    <div style="justify-content: center;">
      <div class="modal-content" *ngIf="showModel">
        <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
          title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
      </div>
      <br />
      <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{ modalImage[i] }}" alt="{{ modalImagedetail[i].name }}" title="{{ modalImagedetail[i].name }}"
              [ngClass]="{
                'modal-image-gallery': i !== modalmainImageIndex,
                'modal-image-gallery-select': i === modalmainImageIndex
              }" (click)="modalmainImageIndex = i" />
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- ------------------------------------------------------------------------------------------------------------------ -->

  <div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br />
    <br />
    <br />
    <br />
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">
          ถัดไป
        </button>
      </div>
    </div>
    <br />
    <br />
  </div>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>

<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 8px;" *ngIf="stepOne['validate'] === false || template_manage.pageShow === 'executive'">
  <!-- ----------------------------------------- วัตถุประสงค์ของผลิตภัณฑ์ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">วัตถุประสงค์ของผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 20px;" />
    </div>
    <div class="col-12">
      <div class="row" class="sub_body" id="objectiveText">
        <div class="col-12">
          {{ stepOne.objectiveText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )"> -->
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{ stepOne.objective.file[i].name }}"
                    title="{{ stepOne.objective.file[i].name }}" class="photo" (click)="image_click(1, i)" />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- Business Model -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">Business Model</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 20px;" />
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepOne.businessModelText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(2, i )"> -->
                <div class="unnon_image">
                  <img [src]="image2[i]" alt="{{ stepOne.businessModel.file[i].name }}"
                    title="{{ stepOne.businessModel.file[i].name }}" class="photo" (click)="image_click(2, i)" />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- ลักษณะผลิตภัณฑ์ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ลักษณะผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 20px;" />
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepOne.detailText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )"> -->
                <div class="unnon_image" [ngStyle]="{ display: !(image3.length > 0) ? 'none' : '' }">
                  <img [src]="image3[i]" alt="{{ stepOne.detail.file[i].name }}"
                    title="{{ stepOne.detail.file[i].name }}" class="photo" (click)="image_click(3, i)" />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br />

  <!-- ----------------------------------------- จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 20px;" />
    </div>
    <div class="col-12" *ngIf="agreement === '1'">
      <ul>
        <li class="ul_10">ใช่</li>
      </ul>
      <div class="d-flex align-items-stretch radio-layout" style="background-color: #e0e0e0; margin-bottom: 10px;">
        <div class="row body-detal-checkbox" style="width: 100%;">
          <div class="col-md-6" style="padding-right: 8px; word-wrap: break-word;">
            <p class="input_select">ธนาคารกรุงไทย</p>
            <ul>
              <li class="ul_10">{{ stepOne.externalCommit.yesDetail.KTB}}</li>
            </ul>
          </div>
          <div class="col-md-6" style="padding-left: 8px;">
            <p class="input_select">หน่วยงานภายนอก</p>
            <ul>
              <li class="ul_10" style="word-wrap: break-word;">
                {{ stepOne.externalCommit.yesDetail.external }}
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="col-12" *ngIf="agreement === '2'">
      <ul>
        <li class="ul_10">ไม่ใช่</li>
      </ul>
    </div>
  </div>
  <div class="row">
    <!-- <div class="col-12">
      <div class="typeofcollateral">
        <p class="head-detal">อัปโหลดเอกสาร</p>
        <div class="dropzone">
          <input
            class="form-control"
            type="file"
            #fileDropRef
            id="fileDropRef"
            multiple
            (change)="onSelectFile($event)" -->
    <!-- /> -->
    <!-- accept="application/pdf" -->
    <!-- accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"  -->
    <!-- <img
            src="../../../../../assets/img/upload-icon.png"
            style="margin-bottom: 5px"
          />
          <a style="font-size: 18px; color: #00a6e6" for="fileDropRef"
            >&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a
          >
        </div>
      </div>
      <br />
    </div> -->

    <!-- <div class="row"> -->
    <br>
    <div class="col-12 table_files" *ngIf="template_manage.pageShow !== 'executive'">
      <table class="table-file" mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">
            {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
          </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
            <!-- <a class="pipe">|</a> -->
            <!-- <a class="delete_file" (click)="delete_mutifile(element, index)"
              >ลบไฟล์</a
            > -->
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
  </div>
  <br />

  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <div id="myModal1" class="modal">
    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
    <div style="justify-content: center;">
      <div class="modal-content" *ngIf="showModel">
        <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
          title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
      </div>
      <br />
      <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{ modalImage[i] }}" alt="{{ modalImagedetail[i].name }}" title="{{ modalImagedetail[i].name }}"
              [ngClass]="{
                'modal-image-gallery': i !== modalmainImageIndex,
                'modal-image-gallery-select': i === modalmainImageIndex
              }" (click)="modalmainImageIndex = i" />
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- ------------------------------------------------------------------------------------------------------------------ -->
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>

<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->
<div class="row" *ngIf="stepOne['validate'] === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <br>
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>